Bug 47778 - sysutils/LPRng port is outdated by 10 months (no maintainer response)
Summary: sysutils/LPRng port is outdated by 10 months (no maintainer response)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-01 03:50 UTC by David Magda
Modified: 2003-03-23 16:33 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Magda 2003-02-01 03:50:08 UTC
The version of sysutils/LPRng in the Ports tree is 3.8.10 from
31 March 2002. The current version is 3.8.20 (17-Jan-2002).

I also submitted PR 41976 back in August 2002. Emailing the maintainer
(who is the author of the software) draws no reply.

If this port is updated PR 41976 should also be closed along with
this PR.

Fix: 

The newest file can be found at:

	ftp://ftp.lprng.com/pub/LPRng/LPRng/LPRng-3.8.20.tgz

(it is sufficient to change the VERSION number). The MD5 I get is:

	MD5 (LPRng-3.8.20.tgz) = 84a7dc3c7076a1efb2682c63313fad74

which is the same as the one in the GPG signed .md5 file. I could
not confirm that he actually signed it since I can't find his
public key.

The pkg-descr should have the WWW: line changed to:

	WWW: http://www.lprng.com/

as the primary webpage has changed.

The pkg-plist has to be adjust by:
  * removing "lib/liblpr.la" and "lib/liblpr.a"
  * adding "sbin/lprng_certs" and "sbin/lprng_index_certs"
  * adding the following man pages:

man/man1/cancel.1.gz
man/man1/lp.1.gz
man/man1/lpbanner.1.gz
man/man1/lpf.1.gz
man/man1/lpq.1.gz
man/man1/lpr.1.gz
man/man1/lprm.1.gz
man/man1/lprng_certs.1.gz
man/man1/lprng_index_certs.1.gz
man/man1/lpstat.1.gz
man/man1/monitor.1.gz
man/man1/pclbanner.1.gz
man/man1/psbanner.1.gz
man/man5/lpd.conf.5.gz
man/man5/lpd.perms.5.gz
man/man5/printcap.5.gz
mann/man8/checkpc.8.gz
man/man8/lpc.8.gz
man/man8/lpd.8.gz

I was unable to test the validity of the files that had the prefix
"share/doc/LPRng" in the pkg-plist.

The patch "patch-src_common_lpd__jobs.c" can be removed as well.

Lastly, if the MAINTAINER does not respond to this email, perhaps
it should be changed to ports@freebsd.org?

If this port is updated PR 41976 should also be closed along with
this PR.
How-To-Repeat: 
grep VERSION Makefile
make install
Comment 1 Foxfair Hu freebsd_committer 2003-03-07 01:29:25 UTC
State Changed
From-To: open->closed

See PR/47778 please.
Comment 2 Foxfair Hu freebsd_committer 2003-03-07 01:29:25 UTC
State Changed
From-To: open->feedback

I submitted this patch to the MAINTAINER(papowell@astart.com) and got no 
response yet. So I take this chance to put my patch here, please review  
it. I will commit it after ports tree unfrozen: 

diff -ruN /usr/ports/sysutils/LPRng/Makefile ./Makefile 
--- /usr/ports/sysutils/LPRng/Makefile	Wed Feb 26 14:46:42 2003 
+++ ./Makefile	Tue Mar  4 12:35:16 2003 
@@ -6,7 +6,7 @@ 
# 

PORTNAME=	LPRng 
-PORTVERSION=	3.8.10 
+PORTVERSION=	3.8.20 
CATEGORIES=	sysutils print 
MASTER_SITES=	ftp://ftp.lprng.com/pub/%SUBDIR%/  
ftp://ftp.astart.com/pub/%SUBDIR%/  
@@ -34,8 +34,8 @@ 
USE_LIBTOOL=	yes 

MAN1=		cancel.1 lp.1 lpbanner.1 lpf.1  
-		lpq.1 lpr.1 lprm.1 lpstat.1 monitor.1  
-		pclbanner.1 psbanner.1 
+		lpq.1 lpr.1 lprm.1 lprng_certs.1 lprng_index_certs.1  
+		lpstat.1 monitor.1 pclbanner.1 psbanner.1 
MAN5=		lpd.conf.5 lpd.perms.5 printcap.5 
MAN8=		checkpc.8 lpc.8 lpd.8 
MANCOMPRESSED=	yes 
diff -ruN /usr/ports/sysutils/LPRng/distinfo ./distinfo 
--- /usr/ports/sysutils/LPRng/distinfo	Tue Jul  2 13:58:20 2002 
+++ ./distinfo	Tue Mar  4 12:26:13 2003 
@@ -1 +1 @@ 
-MD5 (LPRng-3.8.10.tgz) = 3127e3793b94bd4a403a3809b1d8467b 
+MD5 (LPRng-3.8.20.tgz) = 84a7dc3c7076a1efb2682c63313fad74 
diff -ruN /usr/ports/sysutils/LPRng/files/patch-src_common_lpd__jobs.c ./files/patch-src_common_lpd__jobs.c 
--- /usr/ports/sysutils/LPRng/files/patch-src_common_lpd__jobs.c	Tue Dec 31 04:14:32 2002 
+++ ./files/patch-src_common_lpd__jobs.c	Thu Jan  1 08:00:00 1970 
@@ -1,13 +0,0 @@ 
- 
-$FreeBSD: ports/sysutils/LPRng/files/patch-src_common_lpd__jobs.c,v 1.1 2002/12/30 20:14:32 naddy Exp $ 
- 
---- src/common/lpd_jobs.c.orig	Mon Dec 30 20:33:17 2002 
-+++ src/common/lpd_jobs.c	Mon Dec 30 20:33:27 2002 
-@@ -189,7 +189,6 @@ 
- {    
-     struct line_list *l, *r; 
- 	int tr, tl; 
--	tr = (int)p; 
- 	l = ((struct line_list **)left)[0]; 
- 	r = ((struct line_list **)right)[0]; 
- 	tl = Find_flag_value(l,DONE_TIME,Value_sep); 
diff -ruN /usr/ports/sysutils/LPRng/pkg-descr ./pkg-descr 
--- /usr/ports/sysutils/LPRng/pkg-descr	Tue Jul  2 13:58:24 2002 
+++ ./pkg-descr	Tue Mar  4 12:26:41 2003 
@@ -9,4 +9,5 @@ 
greatly improved permission and authorization mechanism. 

Author: Patrick Powell <papowell@lprng.com> 
-WWW: http://www.astart.com/lprng/LPRng.html 
+WWW: http://www.lprng.com/ 
+ 
diff -ruN /usr/ports/sysutils/LPRng/pkg-plist ./pkg-plist 
--- /usr/ports/sysutils/LPRng/pkg-plist	Sun Sep 15 22:24:24 2002 
+++ ./pkg-plist	Tue Mar  4 12:33:37 2003 
@@ -11,8 +11,6 @@ 
etc/lprng.sh 
etc/printcap.sample 
etc/rc.d/lprng.sh 
-lib/liblpr.a 
-lib/liblpr.la 
lib/liblpr.so 
lib/liblpr.so.0 
libexec/filters/lpbanner 
@@ -22,6 +20,8 @@ 
sbin/checkpc 
sbin/lpc 
sbin/lpd 
+sbin/lprng_certs 
+sbin/lprng_index_certs 
share/doc/LPRng/CHANGES 
share/doc/LPRng/LISA98.ppt 
share/doc/LPRng/LPRng-HOWTO.dsl
Comment 3 Foxfair Hu freebsd_committer 2003-03-23 16:32:45 UTC
State Changed
From-To: feedback->closed

Patches commit and enjoy it!